View Issue Details

IDProjectCategoryView StatusLast Update
0013306ScribusUser Interfacepublic2016-04-29 19:09
ReporterFirasH Assigned ToFirasH  
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version1.5.1svn 
Target VersionFixed in Version 
Summary0013306: [PATCH] Fix tabstops in tabpdfoptions.ui + a small UI change
DescriptionFix tabstops in tabpdfoptions.ui + a small UI change.
See attached screenshot.
Additional Information1.5.1.svn (20336)
Tags#pending
PatchYes

Relationships

related to 0013258 closedJLuc PDF dialog prepress tab column widths 
related to 0013798 closedfschmid Rework UI appearance of Item Tools Preferences 
child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

FirasH

2015-08-16 16:50

developer  

13306-Patch.diff (10,532 bytes)

diff --git a/scribus/ui/tabpdfoptions.ui b/scribus/ui/tabpdfoptions.ui
--- a/scribus/ui/tabpdfoptions.ui
+++ b/scribus/ui/tabpdfoptions.ui
@@ -1682,34 +1682,20 @@
        <property name="spacing">
         <number>5</number>
        </property>
-       <item row="3" column="1">
-        <widget class="QLabel" name="label_25">
+       <item row="0" column="0">
+        <widget class="QCheckBox" name="cropMarks">
          <property name="text">
-          <string>Offset:</string>
+          <string>Crop Marks</string>
          </property>
         </widget>
        </item>
-       <item row="2" column="0">
-        <widget class="QCheckBox" name="registrationMarks">
+       <item row="0" column="2">
+        <widget class="QCheckBox" name="docInfoMarks">
          <property name="text">
-          <string>Registration Marks</string>
+          <string>Page Information</string>
          </property>
         </widget>
        </item>
-       <item row="3" column="0">
-        <widget class="QCheckBox" name="colorMarks">
-         <property name="text">
-          <string>Color Bars</string>
-         </property>
-        </widget>
-       </item>
-       <item row="2" column="1">
-        <widget class="QLabel" name="label_24">
-         <property name="text">
-          <string>Length:</string>
-         </property>
-        </widget>
-       </item>
        <item row="1" column="0">
         <widget class="QCheckBox" name="bleedMarks">
          <property name="text">
@@ -1717,26 +1703,60 @@
          </property>
         </widget>
        </item>
-       <item row="0" column="1">
-        <widget class="QCheckBox" name="docInfoMarks">
+       <item row="2" column="0">
+        <widget class="QCheckBox" name="registrationMarks">
          <property name="text">
-          <string>Page Information</string>
+          <string>Registration Marks</string>
          </property>
         </widget>
        </item>
-       <item row="0" column="0">
-        <widget class="QCheckBox" name="cropMarks">
+       <item row="2" column="2" rowspan="2">
+        <layout class="QFormLayout" name="formLayout_3">
+         <item row="0" column="0">
+          <widget class="QLabel" name="label_24">
+           <property name="text">
+            <string>Length:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="1">
+          <widget class="ScrSpinBox" name="markLength"/>
+         </item>
+         <item row="1" column="0">
+          <widget class="QLabel" name="label_25">
+           <property name="text">
+            <string>Offset:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="1" column="1">
+          <widget class="ScrSpinBox" name="markOffset"/>
+         </item>
+        </layout>
+       </item>
+       <item row="3" column="0">
+        <widget class="QCheckBox" name="colorMarks">
          <property name="text">
-          <string>Crop Marks</string>
+          <string>Color Bars</string>
          </property>
         </widget>
        </item>
-       <item row="2" column="2">
-        <widget class="ScrSpinBox" name="markLength"/>
+       <item row="0" column="1" rowspan="4">
+        <spacer name="horizontalSpacer_2">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="sizeType">
+          <enum>QSizePolicy::Fixed</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>20</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
        </item>
-       <item row="3" column="2">
-        <widget class="ScrSpinBox" name="markOffset"/>
-       </item>
       </layout>
      </widget>
     </item>
@@ -1761,52 +1781,76 @@
        <property name="spacing">
         <number>5</number>
        </property>
-       <item row="1" column="0">
-        <widget class="QLabel" name="bleedTopLabel">
+       <item row="0" column="0">
+        <widget class="QCheckBox" name="docBleeds">
          <property name="text">
-          <string>Top:</string>
+          <string>Use Document Bleeds</string>
          </property>
         </widget>
        </item>
-       <item row="1" column="1">
-        <widget class="ScrSpinBox" name="BleedTop"/>
+       <item row="1" column="0">
+        <layout class="QFormLayout" name="formLayout">
+         <item row="0" column="0">
+          <widget class="QLabel" name="bleedTopLabel">
+           <property name="text">
+            <string>Top:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="1">
+          <widget class="ScrSpinBox" name="BleedTop"/>
+         </item>
+         <item row="1" column="0">
+          <widget class="QLabel" name="bleedBottomLabel">
+           <property name="text">
+            <string>Bottom:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="1" column="1">
+          <widget class="ScrSpinBox" name="BleedBottom"/>
+         </item>
+        </layout>
        </item>
-       <item row="2" column="0">
-        <widget class="QLabel" name="bleedBottomLabel">
-         <property name="text">
-          <string>Bottom:</string>
-         </property>
-        </widget>
-       </item>
-       <item row="2" column="1">
-        <widget class="ScrSpinBox" name="BleedBottom"/>
-       </item>
-       <item row="2" column="3">
-        <widget class="ScrSpinBox" name="BleedRight"/>
-       </item>
        <item row="1" column="2">
-        <widget class="QLabel" name="bleedLeftLabel">
-         <property name="text">
-          <string>Left:</string>
-         </property>
-        </widget>
+        <layout class="QFormLayout" name="formLayout_2">
+         <item row="0" column="0">
+          <widget class="QLabel" name="bleedLeftLabel">
+           <property name="text">
+            <string>Left:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="1">
+          <widget class="ScrSpinBox" name="BleedLeft"/>
+         </item>
+         <item row="1" column="0">
+          <widget class="QLabel" name="bleedRightLabel">
+           <property name="text">
+            <string>Right:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="1" column="1">
+          <widget class="ScrSpinBox" name="BleedRight"/>
+         </item>
+        </layout>
        </item>
-       <item row="1" column="3">
-        <widget class="ScrSpinBox" name="BleedLeft"/>
-       </item>
-       <item row="2" column="2">
-        <widget class="QLabel" name="bleedRightLabel">
-         <property name="text">
-          <string>Right:</string>
+       <item row="1" column="1">
+        <spacer name="horizontalSpacer">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
          </property>
-        </widget>
-       </item>
-       <item row="0" column="0">
-        <widget class="QCheckBox" name="docBleeds">
-         <property name="text">
-          <string>Use Document Bleeds</string>
+         <property name="sizeType">
+          <enum>QSizePolicy::Fixed</enum>
          </property>
-        </widget>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>20</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
        </item>
       </layout>
      </widget>
@@ -1888,6 +1932,94 @@
    <header>ui/scrspinbox.h</header>
   </customwidget>
  </customwidgets>
+ <tabstops>
+  <tabstop>AllPages</tabstop>
+  <tabstop>OnlySome</tabstop>
+  <tabstop>PageNr</tabstop>
+  <tabstop>pageNrButton</tabstop>
+  <tabstop>RotateDeg</tabstop>
+  <tabstop>MirrorH</tabstop>
+  <tabstop>MirrorV</tabstop>
+  <tabstop>ClipMarg</tabstop>
+  <tabstop>PDFVersionCombo</tabstop>
+  <tabstop>ComboBind</tabstop>
+  <tabstop>CheckBox1</tabstop>
+  <tabstop>Article</tabstop>
+  <tabstop>CheckBM</tabstop>
+  <tabstop>useLayers</tabstop>
+  <tabstop>Resolution</tabstop>
+  <tabstop>EmbedPDF</tabstop>
+  <tabstop>Compression</tabstop>
+  <tabstop>CMethod</tabstop>
+  <tabstop>CQuality</tabstop>
+  <tabstop>DSColor</tabstop>
+  <tabstop>ValC</tabstop>
+  <tabstop>fontEmbeddingCombo</tabstop>
+  <tabstop>EmbedList</tabstop>
+  <tabstop>SubsetList</tabstop>
+  <tabstop>ToSubset</tabstop>
+  <tabstop>FromSubset</tabstop>
+  <tabstop>EmbedFonts</tabstop>
+  <tabstop>SubsetFonts</tabstop>
+  <tabstop>CheckBox10</tabstop>
+  <tabstop>Pages</tabstop>
+  <tabstop>PageTime</tabstop>
+  <tabstop>EffectTime</tabstop>
+  <tabstop>EffectType</tabstop>
+  <tabstop>EDirection</tabstop>
+  <tabstop>EDirection_2</tabstop>
+  <tabstop>EDirection_2_2</tabstop>
+  <tabstop>EonAllPg</tabstop>
+  <tabstop>PagePrev</tabstop>
+  <tabstop>singlePage</tabstop>
+  <tabstop>continuousPages</tabstop>
+  <tabstop>doublePageLeft</tabstop>
+  <tabstop>doublePageRight</tabstop>
+  <tabstop>useViewDefault</tabstop>
+  <tabstop>useFullScreen</tabstop>
+  <tabstop>useBookmarks</tabstop>
+  <tabstop>useThumbnails</tabstop>
+  <tabstop>useLayers2</tabstop>
+  <tabstop>hideToolBar</tabstop>
+  <tabstop>hideMenuBar</tabstop>
+  <tabstop>fitWindow</tabstop>
+  <tabstop>actionCombo</tabstop>
+  <tabstop>Encry</tabstop>
+  <tabstop>PassOwner</tabstop>
+  <tabstop>PassUser</tabstop>
+  <tabstop>PrintSec</tabstop>
+  <tabstop>ModifySec</tabstop>
+  <tabstop>CopySec</tabstop>
+  <tabstop>AddSec</tabstop>
+  <tabstop>OutCombo</tabstop>
+  <tabstop>useSpot</tabstop>
+  <tabstop>UseLPI</tabstop>
+  <tabstop>LPIcolor</tabstop>
+  <tabstop>LPIfreq</tabstop>
+  <tabstop>LPIangle</tabstop>
+  <tabstop>LPIfunc</tabstop>
+  <tabstop>EmbedProfs</tabstop>
+  <tabstop>SolidPr</tabstop>
+  <tabstop>IntendS</tabstop>
+  <tabstop>EmbedProfs2</tabstop>
+  <tabstop>NoEmbedded</tabstop>
+  <tabstop>ImageP</tabstop>
+  <tabstop>IntendI</tabstop>
+  <tabstop>cropMarks</tabstop>
+  <tabstop>bleedMarks</tabstop>
+  <tabstop>registrationMarks</tabstop>
+  <tabstop>colorMarks</tabstop>
+  <tabstop>docInfoMarks</tabstop>
+  <tabstop>markLength</tabstop>
+  <tabstop>markOffset</tabstop>
+  <tabstop>docBleeds</tabstop>
+  <tabstop>BleedTop</tabstop>
+  <tabstop>BleedBottom</tabstop>
+  <tabstop>BleedLeft</tabstop>
+  <tabstop>BleedRight</tabstop>
+  <tabstop>PrintProfC</tabstop>
+  <tabstop>InfoString</tabstop>
+ </tabstops>
  <resources/>
  <connections/>
 </ui>
13306-Patch.diff (10,532 bytes)

FirasH

2015-08-16 16:51

developer  

13306-Screenshot.png (86,333 bytes)
13306-Screenshot.png (86,333 bytes)

aliyousuf

2015-08-27 16:52

reporter   ~0036101

please look to
http://wiki.scribus.net/canvas/Discussion:_Scribus_UI/usability_improvements
It give you more information about disgan

aliyousuf

2015-08-27 16:54

reporter   ~0036102

try to review the sitting of the interface

aliyousuf

2015-08-27 16:55

reporter   ~0036103

review the siting of header

aliyousuf

2015-08-27 16:56

reporter   ~0036104

Choose directory for missing image

cbradney

2015-08-30 14:35

administrator   ~0036122

The spinboxes are now too wide, we cannot apply this patch as it is. The sizing before the patch was ok, even if the spacing was incorrect.

FirasH

2015-08-30 14:57

developer   ~0036124

What about setting a maximum width size for the spinboxes? Does it work correctly or can have OS specific issues?

Kunda

2015-12-01 03:00

updater   ~0037768

Firash, what's the verdict on this ticket?

FirasH

2015-12-01 17:18

developer   ~0037776

Last edited: 2015-12-01 17:19

View 2 revisions

I have no idea. I think we should follow some generic and consistent guidelines across .ui files.

JLuc

2016-03-05 21:16

developer   ~0039010

UI look is improved with this patch, and the corrected dialog induces more confidence for its use.

Team : Please do merge !

Kunda

2016-03-05 21:27

updater   ~0039011

jluc, there is an issue with the patch.
craig reported that
 The spinboxes are now too wide, we cannot apply this patch as it is. The sizing before the patch was ok, even if the spacing was incorrect. 

FirasH

2016-03-07 18:42

developer   ~0039028

Made a new version of the patch "13306-PatchNew.diff" that does not change overall width of items. See attached screenshot.

FirasH

2016-03-07 18:42

developer  

13306-PatchNew.diff (12,347 bytes)

diff --git a/scribus/ui/tabpdfoptions.ui b/scribus/ui/tabpdfoptions.ui
--- a/scribus/ui/tabpdfoptions.ui
+++ b/scribus/ui/tabpdfoptions.ui
@@ -7,7 +7,7 @@
     <x>0</x>
     <y>0</y>
     <width>657</width>
-    <height>531</height>
+    <height>549</height>
    </rect>
   </property>
   <property name="windowTitle">
@@ -450,6 +450,19 @@
       </layout>
      </widget>
     </item>
+    <item>
+     <spacer name="verticalSpacer_6">
+      <property name="orientation">
+       <enum>Qt::Vertical</enum>
+      </property>
+      <property name="sizeHint" stdset="0">
+       <size>
+        <width>20</width>
+        <height>40</height>
+       </size>
+      </property>
+     </spacer>
+    </item>
    </layout>
   </widget>
   <widget class="QWidget" name="tabFonts">
@@ -1269,6 +1282,19 @@
       </layout>
      </widget>
     </item>
+    <item>
+     <spacer name="verticalSpacer_5">
+      <property name="orientation">
+       <enum>Qt::Vertical</enum>
+      </property>
+      <property name="sizeHint" stdset="0">
+       <size>
+        <width>20</width>
+        <height>40</height>
+       </size>
+      </property>
+     </spacer>
+    </item>
    </layout>
   </widget>
   <widget class="QWidget" name="tabColor">
@@ -1379,88 +1405,100 @@
        <property name="spacing">
         <number>5</number>
        </property>
-       <item row="0" column="2">
-        <widget class="QSpinBox" name="LPIfreq">
-         <property name="minimum">
-          <number>10</number>
-         </property>
-         <property name="maximum">
-          <number>1000</number>
-         </property>
-        </widget>
-       </item>
-       <item row="1" column="1">
-        <widget class="QLabel" name="label_18">
-         <property name="text">
-          <string>&amp;Angle:</string>
-         </property>
-         <property name="buddy">
-          <cstring>LPIangle</cstring>
-         </property>
-        </widget>
-       </item>
-       <item row="0" column="1">
-        <widget class="QLabel" name="label_17">
-         <property name="text">
-          <string>Fre&amp;quency:</string>
-         </property>
-         <property name="buddy">
-          <cstring>LPIfreq</cstring>
-         </property>
-        </widget>
-       </item>
-       <item row="1" column="2">
-        <widget class="QSpinBox" name="LPIangle">
-         <property name="suffix">
-          <string> °</string>
-         </property>
-         <property name="minimum">
-          <number>-180</number>
-         </property>
-         <property name="maximum">
-          <number>180</number>
-         </property>
-        </widget>
-       </item>
        <item row="0" column="0">
         <widget class="QComboBox" name="LPIcolor"/>
        </item>
-       <item row="2" column="1">
-        <widget class="QLabel" name="label_19">
-         <property name="text">
-          <string>S&amp;pot Function:</string>
-         </property>
-         <property name="buddy">
-          <cstring>LPIfunc</cstring>
-         </property>
-        </widget>
+       <item row="0" column="1">
+        <layout class="QHBoxLayout" name="horizontalLayout_10">
+         <item>
+          <widget class="QLabel" name="label_17">
+           <property name="text">
+            <string>Fre&amp;quency:</string>
+           </property>
+           <property name="buddy">
+            <cstring>LPIfreq</cstring>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="QSpinBox" name="LPIfreq">
+           <property name="minimum">
+            <number>10</number>
+           </property>
+           <property name="maximum">
+            <number>1000</number>
+           </property>
+          </widget>
+         </item>
+        </layout>
        </item>
-       <item row="2" column="2">
-        <widget class="QComboBox" name="LPIfunc">
-         <property name="editable">
-          <bool>false</bool>
-         </property>
+       <item row="1" column="1">
+        <layout class="QHBoxLayout" name="horizontalLayout_11">
          <item>
-          <property name="text">
-           <string>Simple Dot</string>
-          </property>
+          <widget class="QLabel" name="label_18">
+           <property name="text">
+            <string>&amp;Angle:</string>
+           </property>
+           <property name="buddy">
+            <cstring>LPIangle</cstring>
+           </property>
+          </widget>
          </item>
          <item>
-          <property name="text">
-           <string>Line</string>
-          </property>
+          <widget class="QSpinBox" name="LPIangle">
+           <property name="suffix">
+            <string> °</string>
+           </property>
+           <property name="minimum">
+            <number>-180</number>
+           </property>
+           <property name="maximum">
+            <number>180</number>
+           </property>
+          </widget>
          </item>
+        </layout>
+       </item>
+       <item row="2" column="1">
+        <layout class="QHBoxLayout" name="horizontalLayout_12">
          <item>
-          <property name="text">
-           <string>Round</string>
-          </property>
+          <widget class="QLabel" name="label_19">
+           <property name="text">
+            <string>S&amp;pot Function:</string>
+           </property>
+           <property name="buddy">
+            <cstring>LPIfunc</cstring>
+           </property>
+          </widget>
          </item>
          <item>
-          <property name="text">
-           <string>Ellipse</string>
-          </property>
+          <widget class="QComboBox" name="LPIfunc">
+           <property name="editable">
+            <bool>false</bool>
+           </property>
+           <item>
+            <property name="text">
+             <string>Simple Dot</string>
+            </property>
+           </item>
+           <item>
+            <property name="text">
+             <string>Line</string>
+            </property>
+           </item>
+           <item>
+            <property name="text">
+             <string>Round</string>
+            </property>
+           </item>
+           <item>
+            <property name="text">
+             <string>Ellipse</string>
+            </property>
+           </item>
+          </widget>
          </item>
-        </widget>
+        </layout>
        </item>
       </layout>
      </widget>
@@ -1678,10 +1716,10 @@
        <property name="spacing">
         <number>5</number>
        </property>
-       <item row="3" column="1">
-        <widget class="QLabel" name="label_25">
+       <item row="3" column="0">
+        <widget class="QCheckBox" name="colorMarks">
          <property name="text">
-          <string>Offset:</string>
+          <string>Color Bars</string>
          </property>
         </widget>
        </item>
@@ -1692,27 +1730,48 @@
          </property>
         </widget>
        </item>
-       <item row="3" column="0">
-        <widget class="QCheckBox" name="colorMarks">
+       <item row="1" column="0">
+        <widget class="QCheckBox" name="bleedMarks">
          <property name="text">
-          <string>Color Bars</string>
+          <string>Bleed Marks</string>
          </property>
         </widget>
        </item>
-       <item row="2" column="1">
-        <widget class="QLabel" name="label_24">
+       <item row="0" column="0">
+        <widget class="QCheckBox" name="cropMarks">
          <property name="text">
-          <string>Length:</string>
+          <string>Crop Marks</string>
          </property>
         </widget>
        </item>
-       <item row="1" column="0">
-        <widget class="QCheckBox" name="bleedMarks">
-         <property name="text">
-          <string>Bleed Marks</string>
-         </property>
-        </widget>
+       <item row="3" column="1">
+        <layout class="QHBoxLayout" name="horizontalLayout_6">
+         <item>
+          <widget class="QLabel" name="label_25">
+           <property name="text">
+            <string>Offset:</string>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="ScrSpinBox" name="markOffset"/>
+         </item>
+        </layout>
        </item>
+       <item row="2" column="1">
+        <layout class="QHBoxLayout" name="horizontalLayout_8">
+         <item>
+          <widget class="QLabel" name="label_24">
+           <property name="text">
+            <string>Length:</string>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="ScrSpinBox" name="markLength"/>
+         </item>
+        </layout>
+       </item>
        <item row="0" column="1">
         <widget class="QCheckBox" name="docInfoMarks">
          <property name="text">
@@ -1720,19 +1779,6 @@
          </property>
         </widget>
        </item>
-       <item row="0" column="0">
-        <widget class="QCheckBox" name="cropMarks">
-         <property name="text">
-          <string>Crop Marks</string>
-         </property>
-        </widget>
-       </item>
-       <item row="2" column="2">
-        <widget class="ScrSpinBox" name="markLength"/>
-       </item>
-       <item row="3" column="2">
-        <widget class="ScrSpinBox" name="markOffset"/>
-       </item>
       </layout>
      </widget>
     </item>
@@ -1884,6 +1930,94 @@
    <header>ui/scrspinbox.h</header>
   </customwidget>
  </customwidgets>
+ <tabstops>
+  <tabstop>AllPages</tabstop>
+  <tabstop>OnlySome</tabstop>
+  <tabstop>PageNr</tabstop>
+  <tabstop>pageNrButton</tabstop>
+  <tabstop>RotateDeg</tabstop>
+  <tabstop>MirrorH</tabstop>
+  <tabstop>MirrorV</tabstop>
+  <tabstop>ClipMarg</tabstop>
+  <tabstop>PDFVersionCombo</tabstop>
+  <tabstop>ComboBind</tabstop>
+  <tabstop>CheckBox1</tabstop>
+  <tabstop>Article</tabstop>
+  <tabstop>CheckBM</tabstop>
+  <tabstop>useLayers</tabstop>
+  <tabstop>Resolution</tabstop>
+  <tabstop>EmbedPDF</tabstop>
+  <tabstop>Compression</tabstop>
+  <tabstop>CMethod</tabstop>
+  <tabstop>CQuality</tabstop>
+  <tabstop>DSColor</tabstop>
+  <tabstop>ValC</tabstop>
+  <tabstop>fontEmbeddingCombo</tabstop>
+  <tabstop>EmbedList</tabstop>
+  <tabstop>SubsetList</tabstop>
+  <tabstop>ToSubset</tabstop>
+  <tabstop>FromSubset</tabstop>
+  <tabstop>EmbedFonts</tabstop>
+  <tabstop>SubsetFonts</tabstop>
+  <tabstop>CheckBox10</tabstop>
+  <tabstop>Pages</tabstop>
+  <tabstop>PageTime</tabstop>
+  <tabstop>EffectTime</tabstop>
+  <tabstop>EffectType</tabstop>
+  <tabstop>EDirection</tabstop>
+  <tabstop>EDirection_2</tabstop>
+  <tabstop>EDirection_2_2</tabstop>
+  <tabstop>EonAllPg</tabstop>
+  <tabstop>PagePrev</tabstop>
+  <tabstop>singlePage</tabstop>
+  <tabstop>continuousPages</tabstop>
+  <tabstop>doublePageLeft</tabstop>
+  <tabstop>doublePageRight</tabstop>
+  <tabstop>useViewDefault</tabstop>
+  <tabstop>useFullScreen</tabstop>
+  <tabstop>useBookmarks</tabstop>
+  <tabstop>useThumbnails</tabstop>
+  <tabstop>useLayers2</tabstop>
+  <tabstop>hideToolBar</tabstop>
+  <tabstop>hideMenuBar</tabstop>
+  <tabstop>fitWindow</tabstop>
+  <tabstop>actionCombo</tabstop>
+  <tabstop>Encry</tabstop>
+  <tabstop>PassOwner</tabstop>
+  <tabstop>PassUser</tabstop>
+  <tabstop>PrintSec</tabstop>
+  <tabstop>ModifySec</tabstop>
+  <tabstop>CopySec</tabstop>
+  <tabstop>AddSec</tabstop>
+  <tabstop>OutCombo</tabstop>
+  <tabstop>useSpot</tabstop>
+  <tabstop>UseLPI</tabstop>
+  <tabstop>LPIcolor</tabstop>
+  <tabstop>LPIfreq</tabstop>
+  <tabstop>LPIangle</tabstop>
+  <tabstop>LPIfunc</tabstop>
+  <tabstop>EmbedProfs</tabstop>
+  <tabstop>SolidPr</tabstop>
+  <tabstop>IntendS</tabstop>
+  <tabstop>EmbedProfs2</tabstop>
+  <tabstop>NoEmbedded</tabstop>
+  <tabstop>ImageP</tabstop>
+  <tabstop>IntendI</tabstop>
+  <tabstop>cropMarks</tabstop>
+  <tabstop>bleedMarks</tabstop>
+  <tabstop>registrationMarks</tabstop>
+  <tabstop>colorMarks</tabstop>
+  <tabstop>docInfoMarks</tabstop>
+  <tabstop>markLength</tabstop>
+  <tabstop>markOffset</tabstop>
+  <tabstop>docBleeds</tabstop>
+  <tabstop>BleedTop</tabstop>
+  <tabstop>BleedBottom</tabstop>
+  <tabstop>BleedLeft</tabstop>
+  <tabstop>BleedRight</tabstop>
+  <tabstop>PrintProfC</tabstop>
+  <tabstop>InfoString</tabstop>
+ </tabstops>
  <resources/>
  <connections/>
 </ui>
13306-PatchNew.diff (12,347 bytes)

FirasH

2016-03-07 18:43

developer  

13306-New.png (51,353 bytes)
13306-New.png (51,353 bytes)

FirasH

2016-03-07 22:42

developer  

tabpdfoptions.ui (61,311 bytes)

Kunda

2016-03-08 00:11

updater   ~0039038

I uploaded a screenshot of how it looks on OSX after the patch

Kunda

2016-03-08 00:14

updater  

r21072.jpg (101,941 bytes)
r21072.jpg (101,941 bytes)

FirasH

2016-03-08 13:03

developer   ~0039048

Last edited: 2016-03-08 13:12

View 2 revisions

Kunda try "13306-PatchSpacing.diff" or download the entire file and let me know if it is fixed.

FirasH

2016-03-08 13:03

developer  

13306-PatchSpacing.diff (3,646 bytes)

diff --git a/scribus/ui/tabpdfoptions.ui b/scribus/ui/tabpdfoptions.ui
--- a/scribus/ui/tabpdfoptions.ui
+++ b/scribus/ui/tabpdfoptions.ui
@@ -7,7 +7,7 @@
     <x>0</x>
     <y>0</y>
     <width>657</width>
-    <height>549</height>
+    <height>555</height>
    </rect>
   </property>
   <property name="windowTitle">
@@ -1716,35 +1716,7 @@
        <property name="spacing">
         <number>5</number>
        </property>
-       <item row="3" column="0">
-        <widget class="QCheckBox" name="colorMarks">
-         <property name="text">
-          <string>Color Bars</string>
-         </property>
-        </widget>
-       </item>
-       <item row="2" column="0">
-        <widget class="QCheckBox" name="registrationMarks">
-         <property name="text">
-          <string>Registration Marks</string>
-         </property>
-        </widget>
-       </item>
-       <item row="1" column="0">
-        <widget class="QCheckBox" name="bleedMarks">
-         <property name="text">
-          <string>Bleed Marks</string>
-         </property>
-        </widget>
-       </item>
-       <item row="0" column="0">
-        <widget class="QCheckBox" name="cropMarks">
-         <property name="text">
-          <string>Crop Marks</string>
-         </property>
-        </widget>
-       </item>
-       <item row="3" column="1">
+       <item row="3" column="2">
         <layout class="QHBoxLayout" name="horizontalLayout_6">
          <item>
           <widget class="QLabel" name="label_25">
@@ -1758,7 +1730,7 @@
          </item>
         </layout>
        </item>
-       <item row="2" column="1">
+       <item row="2" column="2">
         <layout class="QHBoxLayout" name="horizontalLayout_8">
          <item>
           <widget class="QLabel" name="label_24">
@@ -1772,7 +1744,7 @@
          </item>
         </layout>
        </item>
-       <item row="0" column="1">
+       <item row="0" column="2">
         <widget class="QCheckBox" name="docInfoMarks">
          <property name="text">
           <string>Page Information</string>
@@ -1779,6 +1751,38 @@
          </property>
         </widget>
        </item>
+       <item row="0" column="1" rowspan="4">
+        <layout class="QVBoxLayout" name="verticalLayout_3">
+         <item>
+          <widget class="QCheckBox" name="cropMarks">
+           <property name="text">
+            <string>Crop Marks</string>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="QCheckBox" name="bleedMarks">
+           <property name="text">
+            <string>Bleed Marks</string>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="QCheckBox" name="registrationMarks">
+           <property name="text">
+            <string>Registration Marks</string>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="QCheckBox" name="colorMarks">
+           <property name="text">
+            <string>Color Bars</string>
+           </property>
+          </widget>
+         </item>
+        </layout>
+       </item>
       </layout>
      </widget>
     </item>
@@ -2004,11 +2008,11 @@
   <tabstop>ImageP</tabstop>
   <tabstop>IntendI</tabstop>
   <tabstop>cropMarks</tabstop>
+  <tabstop>docInfoMarks</tabstop>
   <tabstop>bleedMarks</tabstop>
   <tabstop>registrationMarks</tabstop>
+  <tabstop>markLength</tabstop>
   <tabstop>colorMarks</tabstop>
-  <tabstop>docInfoMarks</tabstop>
-  <tabstop>markLength</tabstop>
   <tabstop>markOffset</tabstop>
   <tabstop>docBleeds</tabstop>
   <tabstop>BleedTop</tabstop>
13306-PatchSpacing.diff (3,646 bytes)

FirasH

2016-03-08 13:05

developer  

tabpdfoptions_SPACING.ui (61,434 bytes)

Kunda

2016-03-08 17:22

updater   ~0039063

Firash, having a little trouble with the patch..
Will try the .ui
Will report when I get it to work

FirasH

2016-03-12 11:01

developer   ~0039143

Download "tabpdfoptions_SPACING.ui" rename it to "tabpdfoptions.ui" and replace the original file with it.

FirasH

2016-04-29 08:51

developer   ~0040597

Those spaces were also present before the patch (I see them on 1.5.1 Windows release)

Issue History

Date Modified Username Field Change
2015-08-16 16:49 FirasH New Issue
2015-08-16 16:50 FirasH File Added: 13306-Patch.diff
2015-08-16 16:51 FirasH File Added: 13306-Screenshot.png
2015-08-16 16:52 FirasH Relationship added related to 0013258
2015-08-27 14:25 Kunda Summary Fix tabstops in tabpdfoptions.ui + a small UI change => [PATCH] Fix tabstops in tabpdfoptions.ui + a small UI change
2015-08-27 16:52 aliyousuf Note Added: 0036101
2015-08-27 16:54 aliyousuf Note Added: 0036102
2015-08-27 16:55 aliyousuf Note Added: 0036103
2015-08-27 16:56 aliyousuf Note Added: 0036104
2015-08-30 14:35 cbradney Note Added: 0036122
2015-08-30 14:57 FirasH Note Added: 0036124
2015-12-01 03:00 Kunda Note Added: 0037768
2015-12-01 17:18 FirasH Note Added: 0037776
2015-12-01 17:19 FirasH Note Edited: 0037776 View Revisions
2016-03-05 21:16 JLuc Note Added: 0039010
2016-03-05 21:27 Kunda Note Added: 0039011
2016-03-07 18:42 FirasH Note Added: 0039028
2016-03-07 18:42 FirasH File Added: 13306-PatchNew.diff
2016-03-07 18:43 FirasH File Added: 13306-New.png
2016-03-07 22:42 FirasH File Added: tabpdfoptions.ui
2016-03-07 22:44 cbradney Status new => resolved
2016-03-07 22:44 cbradney Fixed in Version => 1.5.2.svn
2016-03-07 22:44 cbradney Resolution open => fixed
2016-03-07 22:44 cbradney Assigned To => FirasH
2016-03-08 00:11 Kunda Note Added: 0039038
2016-03-08 00:13 Kunda File Added: r21072.png
2016-03-08 00:14 Kunda File Deleted: r21072.png
2016-03-08 00:14 Kunda File Added: r21072.jpg
2016-03-08 13:03 FirasH Note Added: 0039048
2016-03-08 13:03 FirasH File Added: 13306-PatchSpacing.diff
2016-03-08 13:05 FirasH File Added: tabpdfoptions_SPACING.ui
2016-03-08 13:08 FirasH Relationship added related to 0013798
2016-03-08 13:12 FirasH Note Edited: 0039048 View Revisions
2016-03-08 17:22 Kunda Note Added: 0039063
2016-03-12 11:01 FirasH Note Added: 0039143
2016-03-16 18:29 FirasH Status resolved => assigned
2016-03-16 18:29 FirasH Resolution fixed => open
2016-04-03 10:45 FirasH Relationship added child of 0013906
2016-04-29 08:51 FirasH Note Added: 0040597
2016-04-29 08:52 FirasH Status assigned => new
2016-04-29 08:52 FirasH Status new => assigned
2016-04-29 08:52 FirasH Fixed in Version 1.5.2.svn =>
2016-04-29 08:52 FirasH Status assigned => new
2016-04-29 19:09 Kunda Tag Attached: #pending